org.wildfly.swarm.config

## Class BatchJBeret.BatchJBeretResources

- java.lang.Object
- - org.wildfly.swarm.config.BatchJBeret.BatchJBeretResources

- Enclosing class:
    BatchJBeret<T extends BatchJBeret<T>>

      public static class BatchJBeret.BatchJBeretResources
      extends Object

  Child mutators for BatchJBeret

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchJBeretResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<InMemoryJobRepository>` | `inMemoryJobRepositories()` Get the list of InMemoryJobRepository resources
    `InMemoryJobRepository` | `inMemoryJobRepository(String key)`
    `List<JDBCJobRepository>` | `jdbcJobRepositories()` Get the list of JDBCJobRepository resources
    `JDBCJobRepository` | `jdbcJobRepository(String key)`
    `List<ThreadFactory>` | `threadFactories()` Get the list of ThreadFactory resources
    `ThreadFactory` | `threadFactory(String key)`
    `ThreadPool` | `threadPool(String key)`
    `List<ThreadPool>` | `threadPools()` Get the list of ThreadPool resources

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchJBeretResources

          public BatchJBeretResources()

  - ### Method Detail

    - #### jdbcJobRepositories

          public List<JDBCJobRepository> jdbcJobRepositories()

      Get the list of JDBCJobRepository resources
      Returns:
        the list of resources

    - #### jdbcJobRepository

          public JDBCJobRepository jdbcJobRepository(String key)

    - #### threadFactories

          public List<ThreadFactory> threadFactories()

      Get the list of ThreadFactory resources
      Returns:
        the list of resources

    - #### threadFactory

          public ThreadFactory threadFactory(String key)

    - #### threadPools

          public List<ThreadPool> threadPools()

      Get the list of ThreadPool resources
      Returns:
        the list of resources

    - #### threadPool

          public ThreadPool threadPool(String key)

    - #### inMemoryJobRepositories

          public List<InMemoryJobRepository> inMemoryJobRepositories()

      Get the list of InMemoryJobRepository resources
      Returns:
        the list of resources

    - #### inMemoryJobRepository

          public InMemoryJobRepository inMemoryJobRepository(String key)

Copyright © 2018 JBoss by Red Hat. All rights reserved.